﻿@page "/fetchdata"

@inherits ComponentSharedBase

@inject IWeatherForecastService _forecastService

<Loader IsLoading="IsLoading" />

<Heading Size="HeadingSize.Is1">Weather forecast</Heading>
<Paragraph>This component demonstrates fetching data from a service.</Paragraph>

<DataGrid Class="table" TItem="WeatherForecastViewModel" Data="forecasts">
    <DataGridColumn TItem="WeatherForecastViewModel" Field="@nameof(WeatherForecastViewModel.Date)" Caption="Date" />
    <DataGridColumn TItem="WeatherForecastViewModel" Field="@nameof(WeatherForecastViewModel.TemperatureC)" Caption="Temp. (C)" />
    <DataGridColumn TItem="WeatherForecastViewModel" Field="@nameof(WeatherForecastViewModel.TemperatureF)" Caption="Temp. (C)" />
    <DataGridColumn TItem="WeatherForecastViewModel" Field="@nameof(WeatherForecastViewModel.Summary)" Caption="Summary" />
</DataGrid>

@code {
    private List<WeatherForecastViewModel> forecasts;

    protected override async Task OnInitializedAsync( ) {
        LoaderStart( );
        forecasts = await _forecastService.GetForecastAsync( DateTime.Now );
        LoaderFinish( );
    }
}